<?php
    // HEADERS
    header('Access-Control-Allow-Origin: *');
    header('Content-Type: application/json');
    header('Access-Control-Allow-Methods: PUT');
    header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');

    include_once '../../config/Database.php';
    include_once '../../models/RME.php';

    // INSTANTIATE DB AND CONNECT
    $database = new Database();
    $db = $database->connect();

    // INSTANTIATE POST OBJECT
    $rme = new RME($db);

    // GET RAW POSTED DATA
    $data = json_decode(file_get_contents("php://input"));

    // SET ID TO UPDATE
    $rme->id = $data->id;

    $rme->rmeResponsavel = $data->rmeResponsavel;
    $rme->rmeDD = $data->rmeDD;
    $rme->rmeOS = $data->rmeOS;
    $rme->rmeDescricao = $data->rmeDescricao;
    $rme->rmeObservacao = $data->rmeObservacao;
    $rme->rmeData = $data->rmeData;
    $rme->rmeidProduto = $data->rmeidProduto;
    $rme->rmeQuantidadeProduto = $data->rmeQuantidadeProduto;
    $rme->rmeFilter = $data->rmeFilter;
    $rme->rmeAutorizar = $data->rmeAutorizar;
    $rme->rmeCriadoPor = $data->rmeCriadoPor;
    $rme->rmeObservacaoGeral = $data->rmeObservacaoGeral;
    $rme->rmeUnidadeCliente = $data->rmeUnidadeCliente;
    $rme->rmeNomeCliente = $data->rmeNomeCliente;
    $rme->rmeAtendimento = $data->rmeAtendimento;
    $rme->rmeTeste = $data->rmeTeste;
    $rme->rmeEmprestimo = $data->rmeEmprestimo;
    $rme->rmeStatus = $data->rmeStatus;
    
    // UPDATE POST
    if($rme->update()){
        echo json_encode(
            array('message' => 'PrmeOSt Update')
        );
    } else {
        echo json_encode(
            array('message' => 'PrmeOSt Not Update')
        );
    }
